<h1 align="center">SpatialCluster</h1>

<p align="center">
    <em>
        SpatialCluster is a library developed in Python 3.8 that allows for the handling of tasks related to spatial data clustering. Its primary application domain is the clustering of urban spaces, such as urban regions and neighborhoods. The library implements several spatial clustering algorithms, including Deep Modularity Networks, Gaussian Mixture Models, and Information Theoretic-based Clustering, among others. It facilitates working with spatially distributed data in urban areas and using this data to infer spatial partitions of the area. In urban clustering, these tools produce urban maps that display spatial distributions based on socioeconomic variables, aesthetic perceptions, or other demographic features of interest. The library includes modules to import data, evaluate spatial clusters, and visualize them.
    </em>
</p>



## Installation

Install using `pip`!

```sh
$ pip install SpatialCluster
```

## Documentation in English

https://spatial-cluster-english-doc.readthedocs.io/en/latest/

## Documentation in Spanish

https://spatialcluster.readthedocs.io/en/latest/
